"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var filewriter_1 = require("./filewriter");
exports.LoggingFiles = filewriter_1.LoggingFiles;
const filewriter_2 = require("./filewriter");
const logging_1 = require("@hibas123/logging");
class LoggingBase extends logging_1.LoggingBase {
    constructor(config = {}) {
        super(config);
        if (typeof config === "string" || config.files !== false) {
            let logfile;
            let errorfile;
            if (typeof config !== "string" && typeof config.files === "object") {
                logfile = config.files.logfile;
                errorfile = config.files.errorfile;
            }
            let name = this.name ? "." + this.name : "";
            if (!logfile && logfile !== null)
                logfile = `./logs/all${name}.log`;
            if (!errorfile && errorfile !== null)
                errorfile = `./logs/error${name}.log`;
            if (logfile)
                this.addAdapter(new filewriter_2.LoggingFiles(logfile));
            if (errorfile)
                this.addAdapter(new filewriter_2.LoggingFiles(errorfile, true));
        }
    }
}
exports.LoggingBase = LoggingBase;
exports.Logging = undefined;
if (process.env.LOGGING_NO_DEFAULT !== "true") {
    exports.Logging = new LoggingBase();
}
exports.default = exports.Logging;
//# sourceMappingURL=index.js.map